--[[

ARL-Enchant.lua

Enchanting data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitEnchanting()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill2(7418, 1, L["Trainer"])
	ARL:addTradeSkill2(7428, 1, L["Trainer"])
	ARL:addTradeSkill2(7421, 1, L["Trainer"])
	ARL:addTradeSkill2(7420, 15, L["Trainer"])
	ARL:addTradeSkill2(14293, 15, L["Trainer"])
	ARL:addTradeSkill2(7426, 40, L["Trainer"])
	ARL:addTradeSkill2(7454, 45, L["Trainer"])
	ARL:addTradeSkill2(7457, 50, L["Trainer"])
	ARL:addTradeSkill2(7748, 60, L["Trainer"])
	ARL:addTradeSkill2(7771, 70, L["Trainer"])
	ARL:addTradeSkill2(14807, 70, L["Trainer"])
	ARL:addTradeSkill2(7779, 80, L["Trainer"])
	ARL:addTradeSkill2(7788, 90, L["Trainer"])
	ARL:addTradeSkill2(7745, 100, L["Trainer"])
	ARL:addTradeSkill2(7795, 100, L["Trainer"])
	ARL:addTradeSkill2(13378, 105, L["Trainer"])
	ARL:addTradeSkill2(13421, 115, L["Trainer"])
	ARL:addTradeSkill2(7857, 120, L["Trainer"])
	ARL:addTradeSkill2(7861, 125, L["Trainer"])
	ARL:addTradeSkill2(7863, 125, L["Trainer"])
	ARL:addTradeSkill2(13501, 130, L["Trainer"])
	ARL:addTradeSkill2(13485, 130, L["Trainer"])
	ARL:addTradeSkill2(13503, 140, L["Trainer"])
	ARL:addTradeSkill2(13538, 140, L["Trainer"])
	ARL:addTradeSkill2(13529, 145, L["Trainer"])
	ARL:addTradeSkill2(13607, 145, L["Trainer"])
	ARL:addTradeSkill2(13626, 150, L["Trainer"])
	ARL:addTradeSkill2(13628, 150, L["Trainer"])
	ARL:addTradeSkill2(14809, 155, L["Trainer"])
	ARL:addTradeSkill2(13622, 150, L["Trainer"])
	ARL:addTradeSkill2(13631, 155, L["Trainer"])
	ARL:addTradeSkill2(13635, 155, L["Trainer"])
	ARL:addTradeSkill2(13637, 160, L["Trainer"])
	ARL:addTradeSkill2(13640, 160, L["Trainer"])
	ARL:addTradeSkill2(13642, 165, L["Trainer"])
	ARL:addTradeSkill2(13644, 170, L["Trainer"])
	ARL:addTradeSkill2(13648, 170, L["Trainer"])
	ARL:addTradeSkill2(13657, 175, L["Trainer"])
	ARL:addTradeSkill2(14810, 175, L["Trainer"])
	ARL:addTradeSkill2(13659, 180, L["Trainer"])
	ARL:addTradeSkill2(13661, 180, L["Trainer"])
	ARL:addTradeSkill2(13663, 185, L["Trainer"])
	ARL:addTradeSkill2(13693, 195, L["Trainer"])
	ARL:addTradeSkill2(13695, 200, L["Trainer"])
	ARL:addTradeSkill2(13700, 200, L["Trainer"])
	ARL:addTradeSkill2(13702, 200, L["Trainer"])
	ARL:addTradeSkill2(13746, 205, L["Trainer"])
	ARL:addTradeSkill2(13794, 205, L["Trainer"])
	ARL:addTradeSkill2(13822, 210, L["Trainer"])
	ARL:addTradeSkill2(13815, 210, L["Trainer"])
	ARL:addTradeSkill2(13836, 215, L["Trainer"])
	ARL:addTradeSkill2(13858, 220, L["Trainer"])
	ARL:addTradeSkill2(13887, 225, L["Trainer"])
	ARL:addTradeSkill2(13890, 225, L["Trainer"])
	ARL:addTradeSkill2(13905, 230, L["Trainer"])
	ARL:addTradeSkill2(13917, 230, L["Trainer"])
	ARL:addTradeSkill2(13935, 235, L["Trainer"])
	ARL:addTradeSkill2(13937, 240, L["Trainer"])
	ARL:addTradeSkill2(13939, 240, L["Trainer"])
	ARL:addTradeSkill2(13941, 245, L["Trainer"])
	ARL:addTradeSkill2(13943, 245, L["Trainer"])
	ARL:addTradeSkill2(13948, 250, L["Trainer"])
	ARL:addTradeSkill2(17181, 250, L["Trainer"])
	ARL:addTradeSkill2(17180, 250, L["Trainer"])
	ARL:addTradeSkill2(20008, 255, L["Trainer"])
	ARL:addTradeSkill2(20014, 265, L["Trainer"])
	ARL:addTradeSkill2(20012, 270, L["Trainer"])
	ARL:addTradeSkill2(20016, 280, L["Trainer"])
	ARL:addTradeSkill2(20028, 290, L["Trainer"])
	ARL:addTradeSkill2(20013, 295, L["Trainer"])
	ARL:addTradeSkill2(20023, 295, L["Trainer"])
	ARL:addTradeSkill2(42615, 295, L["Trainer"])
	ARL:addTradeSkill2(32664, 300, L["Trainer"])
	ARL:addTradeSkill2(33991, 300, L["Trainer"])
	ARL:addTradeSkill2(34002, 300, L["Trainer"])
	ARL:addTradeSkill2(33993, 305, L["Trainer"])
	ARL:addTradeSkill2(27899, 305, L["Trainer"])
	ARL:addTradeSkill2(34001, 305, L["Trainer"])
	ARL:addTradeSkill2(33996, 310, L["Trainer"])
	ARL:addTradeSkill2(27944, 310, L["Trainer"])
	ARL:addTradeSkill2(34004, 310, L["Trainer"])
	ARL:addTradeSkill2(27961, 310, L["Trainer"])
	ARL:addTradeSkill2(27905, 315, L["Trainer"])
	ARL:addTradeSkill2(27957, 315, L["Trainer"])
	ARL:addTradeSkill2(44383, 330, L["Trainer"])
	ARL:addTradeSkill2(33990, 320, L["Trainer"])
	ARL:addTradeSkill2(28027, 325, L["Trainer"])
	ARL:addTradeSkill2(33995, 340, L["Trainer"])
	ARL:addTradeSkill2(28028, 350, L["Trainer"])
	ARL:addTradeSkill2(42613, 350, L["Trainer"])
	
	-- Vendor Recipes
	ARL:addTradeSkill2(7443, 20, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkill2(25124, 45, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkill2(7776, 80, ARL:ARL_AddVendor({40, 42}, false))
	ARL:addTradeSkill2(7793, 100, ARL:ARL_AddVendor({40, 41, 45, 47}, false))
	ARL:addTradeSkill2(13419, 110, ARL:ARL_AddVendor({195, 196}, false))
	ARL:addTradeSkill2(7867, 125, ARL:ARL_AddVendor({45, 19}, false))
	ARL:addTradeSkill2(13536, 140, ARL:ARL_AddVendor({195, 196}, false))
	ARL:addTradeSkill2(20015, 285, ARL:ARL_AddVendor({56}, false))
	ARL:addTradeSkill2(25125, 150, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkill2(13646, 170, ARL:ARL_AddVendor({113, 29}, false))
	ARL:addTradeSkill2(25126, 200, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkill2(13931, 235, ARL:ARL_AddVendor({197, 193}, false))
	ARL:addTradeSkill2(25127, 250, ARL:ARL_AddVendor({39}, false))
	ARL:addTradeSkill2(20017, 265, ARL:ARL_AddVendor({191, 193}, false))
	ARL:addTradeSkill2(20026, 275, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkill2(25128, 275, ARL:ARL_AddVendor({39}, false))
	ARL:addTradeSkill2(20051, 290, ARL:ARL_AddVendor({56}, false))
	ARL:addTradeSkill2(28016, 310, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkill2(27945, 325, ARL:ARL_AddVendor({204}, false))
	ARL:addTradeSkill2(34009, 325, ARL:ARL_AddVendor({44}, false))
	ARL:addTradeSkill2(28022, 335, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkill2(28019, 340, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkill2(32665, 350, ARL:ARL_AddVendor({198, 199}, false))
	ARL:addTradeSkill2(32667, 375, ARL:ARL_AddVendor({44}, false))

	-- World Drops
	ARL:addTradeSkill2(7766, 60, L["UWD"])
	ARL:addTradeSkill2(7782, 80, L["UWD"])
	ARL:addTradeSkill2(7786, 90, L["UWD"])
	ARL:addTradeSkill2(13380, 110, L["UWD"])
	ARL:addTradeSkill2(13464, 115, L["UWD"])
	ARL:addTradeSkill2(7859, 120, L["UWD"])
	ARL:addTradeSkill2(13522, 135, L["UWD"])
	ARL:addTradeSkill2(13653, 175, L["UWD"])
	ARL:addTradeSkill2(13655, 175, L["UWD"])
	ARL:addTradeSkill2(13687, 190, L["UWD"])
	ARL:addTradeSkill2(13689, 195, L["UWD"])
	ARL:addTradeSkill2(13817, 210, L["UWD"])
	ARL:addTradeSkill2(13846, 220, L["UWD"])
	ARL:addTradeSkill2(13915, 230, L["UWD"])
	ARL:addTradeSkill2(13933, 235, L["UWD"])
	ARL:addTradeSkill2(13945, 245, L["UWD"])
	ARL:addTradeSkill2(13947, 250, L["UWD"])
	ARL:addTradeSkill2(20020, 255, L["UWD"])
	ARL:addTradeSkill2(20009, 270, L["UWD"])
	ARL:addTradeSkill2(20024, 275, L["UWD"])
	ARL:addTradeSkill2(20011, 300, L["UWD"])
	ARL:addTradeSkill2(20025, 300, L["UWD"])
	ARL:addTradeSkill2(27948, 305, L["UWD"])
	ARL:addTradeSkill2(27962, 330, L["UWD"])
	ARL:addTradeSkill2(27913, 335, L["UWD"])
	ARL:addTradeSkill2(27946, 340, L["UWD"])
	ARL:addTradeSkill2(33992, 345, L["UWD"])
	ARL:addTradeSkill2(27972, 350, L["UWD"])
	ARL:addTradeSkill2(27947, 360, L["UWD"])
	ARL:addTradeSkill2(28003, 360, L["UWD"])
	ARL:addTradeSkill2(28004, 360, L["UWD"])
	ARL:addTradeSkill2(34007, 360, L["RWD"])
	ARL:addTradeSkill2(34008, 360, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill2(13612, 145, L["Enchant Gloves - Mining Obt"])
	ARL:addTradeSkill2(13617, 145, L["Enchant Gloves - Herbalism Obt"])
	ARL:addTradeSkill2(13620, 145, L["Enchant Gloves - Fishing Obt"])
	ARL:addTradeSkill2(13698, 200, L["Enchant Gloves - Skinning Obt"])
	ARL:addTradeSkill2(13841, 215, L["Enchant Gloves - Advanced Mining Obt"])
	ARL:addTradeSkill2(13868, 225, L["Enchant Gloves - Advanced Herbalism Obt"])
	ARL:addTradeSkill2(13882, 225, L["Enchant Cloak - Lesser Agility Obt"])
	ARL:addTradeSkill2(13898, 265, L["Enchant Weapon - Fiery Weapon Obt"])
	ARL:addTradeSkill2(15596, 265, L["Smoking Heart of the Mountain Obt"])
	ARL:addTradeSkill2(20029, 285, L["Enchant Weapon - Icy Chill Obt"])
	ARL:addTradeSkill2(20010, 295, L["Enchant Bracer - Superior Strength Obt"])
	ARL:addTradeSkill2(20030, 295, L["Enchant 2H Weapon - Superior Impact Obt"])
	ARL:addTradeSkill2(20033, 295, L["Enchant Weapon - Unholy Weapon Obt"])
	ARL:addTradeSkill2(20036, 300, L["Enchant 2H Weapon - Major Intellect Obt"])
	ARL:addTradeSkill2(20031, 300, L["Enchant Weapon - Superior Striking Obt"])
	ARL:addTradeSkill2(20034, 300, L["Enchant Weapon - Crusader Obt"])
	ARL:addTradeSkill2(20032, 300, L["Enchant Weapon - Lifestealing Obt"])
	ARL:addTradeSkill2(20035, 300, L["Enchant 2H Weapon - Major Spirit Obt"])
	ARL:addTradeSkill2(27906, 320, L["Enchant Bracer - Major Defense Obt"])
	ARL:addTradeSkill2(27950, 320, L["Enchant Boots - Fortitude Obt"])
	ARL:addTradeSkill2(27951, 340, L["Enchant Boots - Dexterity Obt"])
	ARL:addTradeSkill2(27968, 340, L["Enchant Weapon - Major Intellect Obt"])
	ARL:addTradeSkill2(27914, 350, L["Enchant Bracer - Fortitude Obt"])
	ARL:addTradeSkill2(27971, 350, L["Enchant 2H Weapon - Savagery Obt"])
	ARL:addTradeSkill2(27975, 350, L["Enchant Weapon - Major Spellpower Obt"])
	ARL:addTradeSkill2(34005, 350, L["Enchant Cloak - Greater Arcane Resistance Obt"])
	ARL:addTradeSkill2(34006, 350, L["Enchant Cloak - Greater Shadow Resistance Obt"])
	ARL:addTradeSkill2(27917, 360, L["Enchant Bracer - Spellpower Obt"])
	ARL:addTradeSkill2(27977, 360, L["Enchant 2H Weapon - Major Agility Obt"])
	ARL:addTradeSkill2(47051, 375, L["Enchant Cloak - Steelweave"])
	ARL:addTradeSkill2(46578, 375, L["Unknown"])

	-- Seasonal
	ARL:addTradeSkill2(21931, 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill2(23799, 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill2(23803, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill2(23804, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill2(23800, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill2(23801, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill2(27837, 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill2(23802, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill2(25081, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill2(25082, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill2(25129, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill2(25130, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill2(25080, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill2(25072, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill2(25083, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill2(25084, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill2(25086, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill2(27911, 325, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill2(34003, 325, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill2(27967, 340, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill2(27960, 345, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill2(33999, 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill2(42620, 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	ARL:addTradeSkill2(34010, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill2(27920, 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"], L["Raid"]})
	ARL:addTradeSkill2(27924, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill2(33994, 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill2(33997, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill2(27926, 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill2(27927, 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill2(46594, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkill2(45765, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	ARL:addTradeSkill2(22749, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(22750, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(25073, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill2(25074, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill2(25078, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill2(25079, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill2(27954, 370, L["Enchant Boots - Surefooted Obt"], {L["Raid"]})
	ARL:addTradeSkill2(27981, 375, L["Enchant Weapon - Sunfire Obt"], {L["Raid"]})
	ARL:addTradeSkill2(27982, 375, L["Enchant Weapon - Soulfrost Obt"], {L["Raid"]})
	ARL:addTradeSkill2(27984, 375, L["Enchant Weapon - Mongoose Obt"], {L["Raid"]})
	ARL:addTradeSkill2(42974, 375, L["ZA"], {L["Raid"]})

end
